Support » Plugin: Advanced Order Export For WooCommerce » PHP 7.4 compatibility

  • Noelle Steegs

    (@noellesteegs)


    Hi. when running a PHP 7.4 compatibility check on Nexcess hosting some errors came up related to your plugin.

    Since PHP 7.0, functions inspecting arguments, like func_get_args(), no longer report the original value as passed to a parameter, but will instead provide the current value. The parameter “$startDate” was changed on line 935.

    Since PHP 7.0, functions inspecting arguments, like func_get_args(), no longer report the original value as passed to a parameter, but will instead provide the current value. The parameter “$startDate” was changed on line 1022.

    Since PHP 7.0, functions inspecting arguments, like func_get_args(), no longer report the original value as passed to a parameter, but will instead provide the current value. The parameter “$rows” was changed on line 377.

    However these errors refer to PHP 7.0. Can you confirm that your plugin has been tested with PHP 7.4? Thank you.

    • This topic was modified 9 months ago by Noelle Steegs. Reason: Found another error
Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘PHP 7.4 compatibility’ is closed to new replies.